"use strict";

var _rendererId = require("./rendererId");

var _errorOverlay = require("./errorOverlay");

var _globalErrorHandler = require("./globalErrorHandler");

var _shared = require("./shared");

var rendererId = (0, _rendererId.getRendererId)();

function mount() {
  // Use dynamic import to load updated modules upon hot reloading
  require('./mount').mount({
    rendererId: rendererId,
    rendererConfig: _shared.rendererConfig,
    onFixtureChange: _errorOverlay.dismissErrorOverlay
  });
}

(0, _globalErrorHandler.initGlobalErrorHandler)(rendererId);
(0, _errorOverlay.initErrorOverlay)();
mount(); // $FlowFixMe

if (module.hot) {
  module.hot.accept('./mount', function () {
    // If a previous error has been solved, the error overlay auto-closes nicely.
    // If the error persists, however, the overlay will pop up again on its own
    (0, _errorOverlay.dismissErrorOverlay)();
    mount();
  });
}