"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRendererId = getRendererId;

var _util = require("react-cosmos-shared2/util");

// Renderer ID is remembered to avoid announcing a new renderer when reloading
// the renderer window. Note that each tab has creates a new session and thus
// a new rendererId.
// https://developer.mozilla.org/en-US/docs/Web/API/Window/sessionStorage
function getRendererId() {
  var rendererId = sessionStorage.getItem('cosmosRendererId');

  if (!rendererId) {
    rendererId = (0, _util.uuid)();
    sessionStorage.setItem('cosmosRendererId', rendererId);
  }

  return rendererId;
}